Loading...
Searching...
No Matches
QDjangoUrlResolver Class Reference
Http

The QDjangoUrlResolver class maps incoming HTTP requests to handlers. More...

`#include <QDjangoUrlResolver.h>`

Inheritance diagram for QDjangoUrlResolver:

## Public Slots

QDjangoHttpResponse * | respond (const QDjangoHttpRequest &request, const QString &path) const

## Public Member Functions

| QDjangoUrlResolver (QObject *parent=0)
bool | include (const QRegExp &path, QDjangoUrlResolver *urls)
bool | set (const QRegExp &path, QObject *receiver, const char *member)
QString | reverse (QObject *receiver, const char *member, const QVariantList &args=QVariantList()) const

## Friends

class | QDjangoUrlResolverPrivate

## Detailed Description

The QDjangoUrlResolver class maps incoming HTTP requests to handlers.

## Constructor & Destructor Documentation

## QDjangoUrlResolver()

QDjangoUrlResolver::QDjangoUrlResolver | ( | QObject * | parent = 0 | ) |

Constructs a new URL resolver with the given parent.

## Member Function Documentation

## include()

bool QDjangoUrlResolver::include | ( | const QRegExp & | path,
|  | QDjangoUrlResolver * | urls )

Adds a URL mapping for the given path.

## respond

QDjangoHttpResponse * QDjangoUrlResolver::respond | ( | const QDjangoHttpRequest & | request,
|  | const QString & | path ) const

slot

Responds to the given HTTP request for the given path.

## reverse()

QString QDjangoUrlResolver::reverse | ( | QObject * | receiver,
|  | const char * | member,
|  | const QVariantList & | args = QVariantList() ) const

Returns the URL for the member member of receiver with args as arguments.

## set()

bool QDjangoUrlResolver::set | ( | const QRegExp & | path,
|  | QObject * | receiver,
|  | const char * | member )

Adds a URL mapping for the given path.

The documentation for this class was generated from the following files:

- QDjangoUrlResolver.h
- QDjangoUrlResolver.cpp